> ## Documentation Index
> Fetch the complete documentation index at: https://developers.podero.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Mint a one-time wallbox claim token for the user



## OpenAPI

````yaml https://app.podero.com/api/partners/v2.0/openapi.json post /api/partners/v2.0/org/{org_id}/users/{user_id}/wallboxes/claim-tokens
openapi: 3.1.0
info:
  title: Podero Partner API
  version: '2.0'
  description: >-
    This API provides a unified interaction point for Podero's partner
    companies.


    The goal of this API is to give partners easily integratable endpoints that
    don't require extensive software

    development. For this reason, the endpoints focus around user and device
    management, setting of preferences

    and high level device controls.


    While direct control of devices is implemented for special use cases such as
    pause power, we abstract away low level

    direct device steering so developers and partners can focus on delivering
    maximum value to end users.
  termsOfService: https://www.podero.com/terms-and-conditions
servers: []
security: []
paths:
  /api/partners/v2.0/org/{org_id}/users/{user_id}/wallboxes/claim-tokens:
    post:
      tags:
        - User Wallboxes
      summary: Mint a one-time wallbox claim token for the user
      operationId: >-
        integrations_api_api_v2_organizations_users_wallboxes_router_mint_claim_token
      parameters:
        - in: path
          name: org_id
          schema:
            format: uuid
            title: Org Id
            type: string
          required: true
        - in: path
          name: user_id
          schema:
            format: uuid
            title: User Id
            type: string
          required: true
      responses:
        '201':
          description: Created
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WallboxClaimTokenOutput'
      security:
        - OAuth2: []
components:
  schemas:
    WallboxClaimTokenOutput:
      properties:
        token:
          title: Token
          type: string
        wss_url:
          title: Wss Url
          type: string
        expires_at:
          format: date-time
          title: Expires At
          type: string
      required:
        - token
        - wss_url
        - expires_at
      title: WallboxClaimTokenOutput
      type: object
  securitySchemes:
    OAuth2:
      type: oauth2
      flows:
        password:
          tokenUrl: /api/partners/v2.0/auth/token
          scopes: {}
        clientCredentials:
          tokenUrl: /api/partners/v2.0/auth/token
          scopes: {}

````